=== debian/changelog ===
n2n (1.3.1~svn3789-7) unstable; urgency=medium

  [ Rolf Leggewie ]
  * control:
    - add run-time depency on net-tools. Closes: #876386
    - use publicly accessible Vcs-Git URI
  * README: talk a bit about security implications of an abandoned upstream

  [ Chris Lamb ]
  * patches: Make the build reproducible. Closes: #833819

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 17 Apr 2018 15:52:27 +0800

n2n (1.3.1~svn3789-6) unstable; urgency=medium

  * control:
    - bump to Debian Standard 4.1.4
    - add run-time dependency on lsb-base
    - update git URIs
    - change priority from extra to optional
    - drop inactive co-maintainer
      Thank you for your work. Welcome back anytime!
  * copyright: update to 2018
  * default: change default supernode to bytemark.leggewie.org
  * init: merge two N2N_SUPERNODE* variables into one
  * README:
    - improve some botched wording
    - add information about two new public supernodes

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 15 Apr 2018 15:03:20 +0800

n2n (1.3.1~svn3789-5) unstable; urgency=medium

  * ship init script for controlling the n2n VPN. Closes: #742098
  * make the README more userfriendly and relevant to ordinary users
  * control: bump to Standard 3.9.6. No further changes.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 26 Oct 2014 13:27:55 +0900

n2n (1.3.1~svn3789-4) unstable; urgency=low

  * move the updated package from experimental to unstable now
  * copyright: Update copyright information.
  * control: Update to policy 3.9.4. No further changes.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 29 May 2013 17:55:10 +0800

n2n (1.3.1~svn3789-3) experimental; urgency=low

  * update build process from dh7 to dh9
  * backport upstream-svn4235.patch to fix compile error
  * patch Makefile to import $LDFLAGS and $CPPFLAGS into $CFLAGS

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 28 Dec 2012 03:09:08 +0100

n2n (1.3.1~svn3789-2) experimental; urgency=low

  * debian/control:
    - add myself to Uploaders
    - add ${misc:Depends} to run-time dependencies
    - add Homepage and VCS fields
    - bump standards version to 3.9.3 (no further changes)
  * debian/rules: radically simplify and rely on dh7 build intelligence
  * debian/source/format: use DebSrc3 format
  * debian/README.Debian: add information about public supernode

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 14 Dec 2012 13:01:40 +0100

n2n (1.3.1~svn3789-1) unstable; urgency=low

  * Update package to version 1.3 from upstream cvs
  * Removed "libc6-dev (>= 2.0)" build dependency (closes: Bug#533881)
  * DH compatibility level is 7
  * Run dh_prep instead of dh_clean -k
  * Standards Version is 3.8.2

 -- cristian paul peñaranda rojas <kristian.paul@gmail.com>  Sun, 22 Jun 2009 21:19:58 -0500

n2n (1.2.2~svn3653) unstable; urgency=low

  * Initial release (closes: Bug#507750)

 -- cristian paul peñaranda rojas <kristian.paul@gmail.com>  Sat, 29 Nov 2008 00:31:58 -0500
