=== win32/CMakeLists.txt ===
add_library(n2n_win32
            win32/getopt1.c
            win32/getopt.c
            win32/wintap.c)
