## n2n v2-master

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 # N2n information
-set(N2N_VERSION 2.1.0)
+set(N2N_VERSION 2.3.0)
 set(N2N_OSNAME ${CMAKE_SYSTEM})
 
 # N2n specific params
@@ -10,9 +10,10 @@
 set(N2N_OPTION_AES ON)
 endif(NOT DEFINED N2N_OPTION_AES)
 
-add_definitions(-DN2N_VERSION='\"${N2N_VERSION}\"' -DN2N_OSNAME='\"${N2N_OSNAME}\"')
+add_definitions(-DN2N_VERSION="${N2N_VERSION}" -DN2N_OSNAME="${N2N_OSNAME}")
 
 if(N2N_OPTION_AES)
+find_package(OpenSSL REQUIRED)
 add_definitions(-DN2N_HAVE_AES)
 endif(N2N_OPTION_AES)
 
@@ -26,10 +27,6 @@
 endif(NOT DEFINED CMAKE_BUILD_TYPE)
 #set(CMAKE_BUILD_TYPE Debug)
 #set(CMAKE_BUILD_TYPE Release)
-
-#Ultrasparc64 users experiencing SIGBUS should try the following gcc options
-#(thanks to Robert Gibbon) 
-#PLATOPTS_SPARC64=-mcpu=ultrasparc -pipe -fomit-frame-pointer -ffast-math -finline-functions -fweb -frename-registers -mapp-regs
 
 # None
 set(CMAKE_C_FLAGS "-Wall -Wshadow -Wpointer-arith -Wmissing-declarations -Wnested-externs")
@@ -50,6 +47,7 @@
 
 add_library(n2n n2n.c
                 n2n_keyfile.c
+		edge_utils.c
                 wire.c
                 minilzo.c
                 twofish.c
@@ -71,9 +69,6 @@
 if(N2N_OPTION_AES)
 target_link_libraries(n2n crypto)
 endif(N2N_OPTION_AES)
-
-# For Solaris (or OpenSolaris?)
-#target_link_libraries(n2n socket nsl)
 
 add_executable(edge edge.c)
 target_link_libraries(edge n2n)
