=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-N2N_VERSION=2.1.0
+N2N_VERSION=2.3.0
 N2N_OSNAME=$(shell uname -p)
 
 ########
@@ -21,7 +21,7 @@
 #N2N_OPTION_AES=no
 
 ifeq ($(N2N_OPTION_AES), "yes")
-    N2N_DEFINES+="-DN2N_HAVE_AES"
+    N2N_DEFINES+=-DN2N_HAVE_AES
     LIBS_EDGE_OPT+=-lcrypto
 endif
 
@@ -43,10 +43,12 @@
 MAN7DIR=$(MANDIR)/man7
 MAN8DIR=$(MANDIR)/man8
 
-N2N_LIB=n2n.a
+N2N_LIB=libn2n.a
 N2N_OBJS=n2n.o n2n_keyfile.o wire.o minilzo.o twofish.o \
+	 edge_utils.o \
          transform_null.o transform_tf.o transform_aes.o \
-         tuntap_freebsd.o tuntap_netbsd.o tuntap_linux.o tuntap_osx.o version.o
+         tuntap_freebsd.o tuntap_netbsd.o tuntap_linux.o \
+	 tuntap_osx.o version.o
 LIBS_EDGE+=$(LIBS_EDGE_OPT)
 LIBS_SN=
 
@@ -58,10 +60,11 @@
 
 APPS=edge
 APPS+=supernode
+APPS+=example_edge_embed
 
-DOCS=edge.8.gz supernode.1.gz n2n_v2.7.gz
+DOCS=edge.8.gz supernode.1.gz n2n.7.gz
 
-all: $(APPS) $(DOCS)
+all: $(APPS) $(DOCS) benchmark
 
 edge: edge.c $(N2N_LIB) n2n_wire.h n2n.h Makefile
 	$(CC) $(CFLAGS) edge.c $(N2N_LIB) $(LIBS_EDGE) -o edge
@@ -74,6 +77,9 @@
 
 benchmark: benchmark.c $(N2N_LIB) n2n_wire.h n2n.h Makefile
 	$(CC) $(CFLAGS) benchmark.c $(N2N_LIB) $(LIBS_SN) -o benchmark
+
+example_edge_embed: example_edge_embed.c $(N2N_LIB) n2n.h
+	$(CC) $(CFLAGS) example_edge_embed.c $(N2N_LIB) $(LIBS_EDGE) -o example_edge_embed
 
 .c.o: n2n.h n2n_keyfile.h n2n_transforms.h n2n_wire.h twofish.h Makefile
 	$(CC) $(CFLAGS) -c $<
@@ -91,11 +97,11 @@
 clean:
 	rm -rf $(N2N_OBJS) $(N2N_LIB) $(APPS) $(DOCS) test *.dSYM *~
 
-install: edge supernode edge.8.gz supernode.1.gz n2n_v2.7.gz
+install: edge supernode edge.8.gz supernode.1.gz n2n.7.gz
 	echo "MANDIR=$(MANDIR)"
 	$(MKDIR) $(SBINDIR) $(MAN1DIR) $(MAN7DIR) $(MAN8DIR)
 	$(INSTALL_PROG) supernode $(SBINDIR)/
 	$(INSTALL_PROG) edge $(SBINDIR)/
 	$(INSTALL_DOC) edge.8.gz $(MAN8DIR)/
 	$(INSTALL_DOC) supernode.1.gz $(MAN1DIR)/
-	$(INSTALL_DOC) n2n_v2.7.gz $(MAN7DIR)/
+	$(INSTALL_DOC) n2n.7.gz $(MAN7DIR)/
